Issue 81639 - importing from .doc and then exporting again, text form fields are lost
Summary: importing from .doc and then exporting again, text form fields are lost
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 2.2.1
Hardware: PC Windows XP
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-17 11:05 UTC by mgentili
Modified: 2013-08-07 14:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
text form field example: see e.g. the field under "SETTORE" (93.50 KB, application/msword)
2007-09-17 11:11 UTC, mgentili
no flags Details
this is what happens reimporting the document in MSWord and activating/disactivating field codes (262.96 KB, image/bmp)
2007-09-17 11:14 UTC, mgentili
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description mgentili 2007-09-17 11:05:51 UTC
If I have a text form field in MSWord and open the document in Writer, Writer 
sees the field ok but loses the constraints (max length, data type, ...)

If I save the document in .doc and open it again (both in Office and OO) the 
field type is lost (it is recognized as a normal field, but has no category).
The resulting element is similar to a field, but when you open the properties 
in MSWord it opens the form create interface.

This does not happen to combo boxes, which are correctly recognized.
Comment 1 mgentili 2007-09-17 11:11:07 UTC
Created attachment 48274 [details]
text form field example: see e.g. the field under "SETTORE"
Comment 2 mgentili 2007-09-17 11:14:15 UTC
Created attachment 48275 [details]
this is what happens reimporting the document in MSWord and activating/disactivating field codes
Comment 3 michael.ruess 2007-09-18 13:10:48 UTC
Please try out OO 2.3, there we have fixed this. Thanks for reporting this problem.
Comment 4 michael.ruess 2007-09-18 13:11:16 UTC
Closed, works in OO 2.3.